import numpy as np
from mayavi import mlab

t = np.linspace(-5, 5, 100)
x = 3 * np.cos(t)
y = 3 * np.sin(t)
z = t / np.pi

s = mlab.plot3d(x, y, z, z, tube_radius=0.1)

mlab.axes(color=(0, 1, 0), nb_labels=5, ranges=[0, 10, 0, 10, 0, 10],
          z_axis_visibility=False, ylabel="y_ax", zlabel="z_ax")

mlab.show()
